Refactor VisualEditor editing plugin for Cite back into the Cite extension
Closed, ResolvedPublic8 Story Points

Description

Depends on VisualEditor having a (stable) API. As soon as it is considered stable enough, we can implement support for it in the Cite extension using whatever hook/api it offers.

Also needs detection since there are (obviously) wikis that have Cite but not VisualEditor. So probably some conditionally loaded module.

bzimport set Reference to bz39621.
Krinkle created this task.Aug 24 2012, 3:20 PM

After discussion with Timo, clarifying what this is.

Adding 'javascript' keyword, because I think this is JavaScript related...

In Bug 13127 comment 34 anomie wrote
"Since Parsoid has reimplemented the Cite extension in their own code, any fixes to Cite are going to be very difficult to get merged unless someone wants to do all the work twice, once in PHP and once in nodejs."

James: Quim wondered if this means that all Cite bugs.docs can be eventually and officially deprecated.

Any vague timeframe for this ticket, assuming that Trevor still works on this?

(In reply to Andre Klapper from comment #3)

In Bug 13127 comment 34 anomie wrote
"Since Parsoid has reimplemented the Cite extension in their own code, any
fixes to Cite are going to be very difficult to get merged unless someone
wants to do all the work twice, once in PHP and once in nodejs."

That's a totally different issue about Parsoid's Cite vs Cite.php; this bug is about the location of code currently in the VisualEditor-MediaWiki repo that should be moved to the Cite extension's repository, like we did for <math> etc. Not sure if there's a bug about that?

James: Quim wondered if this means that all Cite bugs.docs can be eventually
and officially deprecated.

That's a question for the mythical other bug (but I'd say no).

Any vague timeframe for this ticket, assuming that Trevor still works on
this?

I'd want it to settle down a little more before the code was transitioned, but probably in a few months' time.

Neil_P._Quinn_WMF changed the title from "Cite: Refactor VisualEditor editing plugin for Cite back into the Cite extension" to "Refactor VisualEditor editing plugin for Cite back into the Cite extension".Jul 24 2015, 3:18 AM
Neil_P._Quinn_WMF edited the task description. (Show Details)
Neil_P._Quinn_WMF set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2015, 3:18 AM

Change 248014 had a related patch set uploaded (by Esanders):
References: Don't load ext.visualEditor.mwreference if Cite is not installed

https://gerrit.wikimedia.org/r/248014

Qgil removed a subscriber: Qgil.Oct 22 2015, 1:42 PM

Change 248014 merged by jenkins-bot:
References: Don't load ext.visualEditor.mwreference if Cite is not installed

https://gerrit.wikimedia.org/r/248014

Change 254041 had a related patch set uploaded (by Jforrester):
[WIP] Move VisualEditor code for Cite into this repo

https://gerrit.wikimedia.org/r/254041

Change 254041 merged by jenkins-bot:
VisualEditor: Move code for Cite into this repo

https://gerrit.wikimedia.org/r/254041

Add Comment